import { useMemo } from 'react';
import useTrackView from '../useTrackView';
import useTrackEvent from '../useTrackEvent';
const useTracker = function useTracker() {
  const trackView = useTrackView();
  const trackEvent = useTrackEvent();
  return useMemo(() => ({
    event: trackEvent,
    view: trackView
  }), [trackEvent, trackView]);
};
export default useTracker;